<app-header></app-header>
<div class="container">
    <ng-container *ngIf="crime_type">
      <div class="row">
        <div class="col-sm-11">
          <h2 class="question">Crime Report For {{ crime_type | titlecase }}</h2> 
        </div>
        <!-- <div class="col-sm-1 question tooltip"  style="text-align: right;">
          <div >
            <img src="assets/img/info.png" style="width: 25px; margin-top: 18px;" alt="">
            <span class="tooltiptext"><p class="col-sm-offset-2 " style="color: #00a2ff">The given latitude longitude is according to the area. If u want exact lat long then enter manually.</p></span>
          </div>

        </div> -->
        
      </div>
    

    
    <form class="form-horizontal " [formGroup]="questionAccidentFrom" style="margin: 70px  0;">
        <!-- <div class="form-group">
            <label class="control-label col-sm-2" for="crimeType">Crime Type:</label>
            <div class="col-sm-10">
                <select name="crimeType" formControlName="crimeType" class="form-control" id="crimeType">
                    <option value="robbery">Robbery</option>
                    <option value="murder" >Murder </option>
                    <option value="Figths" >Fight </option>
                </select>
            </div>
        </div> -->
        <!--Area-->
        <div class="form-group" >
            <label class="control-label col-sm-2" for="area">Area:</label>
            <div class="col-sm-10">
                <select name="crimeType" (change)="checkLatLong()" formControlName="area" class="form-control" id="area">
                    <optgroup label="Zone 1">
                        <option value="sonegaon">Snegaon</option>
                        <option value="bajajNagar">BajajNagar</option>
                        <option value="hingana">Hingana</option>
                        <option value="wadi">Wadi</option>
                        <option value="ranaPratapNagar">RanaPratapnagar</option>
                    </optgroup>
                    <optgroup label="Zone 2">
                        <option value="ambazari">Ambazari</option>
                        <option value="sadar">Sadar</option>
                        <option value="dhantoli">Dhantoli</option>
                        <option value="mankapur">Mankapur</option>
                        <option value="gittikhadan">Gittikhadan</option>
                        <option value="sitabuldii">Sitabuldi</option>
                    </optgroup>
                    <optgroup label="Zone 3">
                        <option value="panchpaoli">Panchpaoli</option>
                        <option value="kotwali">Kotwali</option>
                        <option value="lakadganj">Lakadganj</option>
                        <option value="tahsil">Tahsil</option>
                        <option value="ganeshpeth">Ganeshpeth</option>
                        <option value="shantiNagar">Shanti Nagar</option>
                    </optgroup>
                    <optgroup label="Zone 4">
                        <option value="hudkeshwar">Hudkeshwar</option>
                        <option value="ajani">Ajani</option>
                        <option value="imamwada">Imamwada</option>
                        <option value="sakardara">Sakardara</option>
                        <option value="nandanwan">Nandanwan</option>
                        <option value="wathoda">Wathoda</option>
                        <option value="beltarodi">Beltarodi</option>
                        <option value="kalamana">Kalamana</option>
                    </optgroup>
                </select>
            </div>
        </div>

        <!-- <p class="col-sm-offset-2 " style="color: #00a2ff">The given latitude longitude is according to the area. If u want exact lat long then enter manually.</p> -->

        <!--Latitude Longitude-->
        <div class="form-group">
          <label class="control-label col-sm-2" for="location">Location Latitude:</label>
          <div class="col-sm-4">
            <input type="latitude" formControlName="latitude" class="form-control" id="latitude" placeholder="Enter Latitude" name="latitude">
          </div>
          <label class="control-label col-sm-2" for="location">Location Longitude:</label>
          <div class="col-sm-4">
            <input type="longitude" formControlName="longitude" class="form-control" id="longitude" placeholder="Enter Longitude" name="longitude">
            <!-- <img src="assets/img/info.png" style="width: 20px; text-align: center;" alt=""> -->
          </div>
            
          
        </div>

        <!--Date-->
      <div class="form-group">
        <label class="control-label col-sm-2" for="date">Date:</label>
        <div class="col-sm-10">
          <input type="date" formControlName="date" class="form-control" id="date" placeholder="Enter email" name="date">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2" for="description">Description:</label>
        <div class="col-sm-10">          
          <textarea type="text" formControlName="description" rows="5"  class="form-control" id="description" placeholder="Enter description" name="description"></textarea>
        </div>
      </div>
      <div class="form-group">
        <label class="control-label col-sm-2" for="image">Image:</label>
        <div class="col-sm-10">          
          <input type="file" formControlName="image" id="image" name="image">
        </div>
      </div>
      <div class="form-group">        
        <div class="col-sm-offset-10 col-sm-2 submit">
          <button type="submit" (click)="formSubmit()" [disabled]="!questionAccidentFrom.valid" class="btn btn-default">Submit</button>
        </div>
      </div>
    </form>
    </ng-container>
  </div>
  